<?php
// Autor (c) Radomir Bednar, www.platiti.cz
// Pouzivani bez souhlasu autora neni povoleno
// #Ver:PRV092-0-ga567b492:2022-01-28#

declare(strict_types=1);
namespace GPWebPayGpe\AdapterPlugin\Service;
use Shopware\Core\System\SystemConfig\SystemConfigService;

class ConfigService
{
	public const SYSTEM_CONFIG_DOMAIN = 'AdapterPlugin.config.';

	/**
	 * @var SystemConfigService
	 */
	public $systemConfigService;

	/**
	 * ConfigService constructor.
	 * @param SystemConfigService $systemConfigService
	 */
	public function __construct(SystemConfigService $systemConfigService)
	{
		$this->systemConfigService = $systemConfigService;
	}

	/**
	 * @param string $setting
	 * @return mixed|null
	 */
	public function get(string $configSetting, ?string $salesChannelId = null)
	{
		return $this->systemConfigService->get(self::SYSTEM_CONFIG_DOMAIN . $configSetting, $salesChannelId);
	}

}
